.menu {
  position: relative;

  &::before {
    content: "";
    position: absolute;
    height: 20px;
    width: 20px;
    border-radius: 50px;
    background-color: var(--background-2);
    mask-image: url(./../../assets/icons/dot-icon.svg);
    mask-position: center;
    mask-repeat: no-repeat;
    mask-size: 20px;
    padding: 5px;
    cursor: pointer;
  }

  &:not(.open) .dropdown {
    height: 0px;
    padding: 0px;
    border: unset;
    min-width: 0px;
    max-width: 0px;
  }

  .dropdown {
    transition: all 0.5s;
    overflow: hidden;
    position: absolute;
    min-width: 180px;
    top: 25px;
    z-index: 1050;
    left: 10px;
    background: white;
    padding: 8px;
    border-radius: 5px;
    box-shadow: 0px 0px 9px #8f8b8b;
    border: 1px solid var(--disabled-300);
    font-size: 13px;
    user-select: none;
    max-width: 190px;

    .items .item-content {
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
      display: flex;
      align-items: center;
      gap: 5px;
      padding: 5px;
      border-radius: 5px;
      cursor: pointer;
      transition: all 0.5s;

      &:hover {
        background-color: var(--disabled-100);
      }

      &:not(:last-child) {
        border-bottom: 1px solid var(--disabled-100);
      }

      .icon {
        mask-position: center;
        mask-size: contain;
        mask-repeat: no-repeat;
        background-color: var(--brand-color-1);
        width: 20px;
        height: 20px;
      }

      span {
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
      }
    }
  }
}
